package de.fzj.unicore.ucc.helpers;

import static junit.framework.Assert.assertEquals;

import org.junit.Test;
import org.w3.x2005.x08.addressing.EndpointReferenceType;

import de.fzj.unicore.uas.UAS;
import de.fzj.unicore.ucc.util.EmbeddedTestBase;
import de.fzj.unicore.wsrflite.utils.WSServerUtilities;
import de.fzj.unicore.wsrflite.xmlbeans.client.RegistryClient;

public class TestConnector extends EmbeddedTestBase {

	@Test
	public void testConnector()throws Exception{
		EndpointReferenceType regEPR=WSServerUtilities.makeEPR(UAS.REG, "default_registry", uas.getKernel());
		RegistryClient reg=new RegistryClient(regEPR,uas.getKernel().getSecurityProperties());
		Connector c=new Connector(reg,reg.getSecurityProperties(),this);
		c.run();
		assertEquals(1,c.getAvailableTSS());
		assertEquals(1,c.getAvailableTSF());
	}
}
